### Method

# Vips Object get_description

#### Declaration [src]

    const char*
    vips_object_get_description (
      VipsObject* object
    )

#### Description [src]

Fetch the object description. Useful for language bindings.

`VipsObject:description` is only available after `_build()`, which can be too late. This function fetches from the instance, if possible, but falls back to the class description if we are too early.

Gets property | `Vips.Object:description`

#### Return value

Type: `const char*`

The object description.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.